package com.yeejoin.amos.boot.module.elevator.api.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.amos.boot.module.elevator.api.dto.TzsUserInfoDto;
import com.yeejoin.amos.boot.module.elevator.api.entity.TzsUserInfo;
import com.yeejoin.amos.boot.module.elevator.api.entity.TzsUserQualifications;

import java.util.List;
import java.util.Map;

public interface ITzsUserInfoService extends IService<TzsUserInfo> {

    Page<TzsUserInfoDto> page(TzsUserInfoDto dto, Page<TzsUserInfoDto> page);

    void addQualificationsMessage(String userId, List<TzsUserQualifications> list);

    void  updateQualificationsMessage(String userId, List<TzsUserQualifications> list);

    void deleteBatch(List<Long> ids);

    Map<String, Object> getDetail(Long id);

    boolean BindAccount(Map<String, Object> map);
}
